window.Gleam.initSearch([{"doc":"tinyroute","title":"tinyroute","content":"# tinyroute\n\n[![Package Version](https://img.shields.io/hexpm/v/tinyroute)](https://hex.pm/packages/tinyroute)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/tinyroute/)\n\n```sh\ngleam add tinyroute\n```\n```gleam\nimport gleam/http\nimport gleam/http/elli // or what you want to use\nimport gleam/http/request\nimport gleam/http/response\nimport gleam/bytes_builder\nimport tinyroute/router\n\nfn index_handler(\n  _req: request.Request(BitArray),\n) -&gt; response.Response(bytes_builder.BytesBuilder) {\n  let body = bytes_builder.from_string(&quot;Hello, World!&quot;)\n  200\n  |&gt; response.new\n  |&gt; response.set_body(body)\n}\n\npub fn main() {\n  router.new()\n  |&gt; router.add(http.Get, &quot;/&quot;, index_handler)\n  |&gt; router.get_handler\n  |&gt; elli.become(on_port: 3000)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/tinyroute&gt;.\n\n","url":"index.html"},{"doc":"tinyroute/handler","title":"Handler","content":"pub type Handler(req, res) =\n  fn(request.Request(req)) -&gt; response.Response(res)\n\n\nSynonyms:\ntinyroute/handler.Handler\ntinyroute/handler Handler","url":"tinyroute/handler.html#Handler"},{"doc":"tinyroute/handler","title":"tinyroute/handler","content":"","url":"tinyroute/handler.html"},{"doc":"tinyroute/route","title":"Route","content":"pub type Route {\n  Route(path: String, method: http.Method)\n}\n\nRoute(path: String, method: http.Method)\n\n\nSynonyms:\ntinyroute/route.Route\ntinyroute/route Route","url":"tinyroute/route.html#Route"},{"doc":"tinyroute/route","title":"new","content":"pub fn new(method: Method, path: String) -&gt; Route\n\nSynonyms:\ntinyroute/route.new\ntinyroute/route new","url":"tinyroute/route.html#new"},{"doc":"tinyroute/route","title":"tinyroute/route","content":"","url":"tinyroute/route.html"},{"doc":"tinyroute/router","title":"Router","content":"pub type Router {\n  Router(\n    routes: dict.Dict(\n      route.Route,\n      handler.Handler(BitArray, bytes_builder.BytesBuilder),\n    ),\n  )\n}\n\nRouter(\n  routes: dict.Dict(\n    route.Route,\n    handler.Handler(BitArray, bytes_builder.BytesBuilder),\n  ),\n)\n\n\nSynonyms:\ntinyroute/router.Router\ntinyroute/router Router","url":"tinyroute/router.html#Router"},{"doc":"tinyroute/router","title":"add","content":"pub fn add(\n  router: Router,\n  method: Method,\n  path: String,\n  handler: fn(Request(BitArray)) -&gt; Response(BytesBuilder),\n) -&gt; Router\n\nSynonyms:\ntinyroute/router.add\ntinyroute/router add","url":"tinyroute/router.html#add"},{"doc":"tinyroute/router","title":"get_handler","content":"pub fn get_handler(\n  router: Router,\n) -&gt; fn(Request(BitArray)) -&gt; Response(BytesBuilder)\n\nSynonyms:\ntinyroute/router.get_handler\ntinyroute/router get_handler","url":"tinyroute/router.html#get_handler"},{"doc":"tinyroute/router","title":"new","content":"pub fn new() -&gt; Router\n\nSynonyms:\ntinyroute/router.new\ntinyroute/router new","url":"tinyroute/router.html#new"},{"doc":"tinyroute/router","title":"tinyroute/router","content":"","url":"tinyroute/router.html"}]);